KDE 4.9 PyKDE API Reference

- KDE's Python API

# GeoGraphicsItem Class Reference

`from PyKDE4.marble import *`

Namespace: Marble

## Detailed Description

## Enumerations
GeoGraphicsItemFlag | { NoOptions, ItemIsMovable, ItemIsSelectable, ItemIsVisible }
## Methods
| __init__ (self)
Marble.GeoDataCoordinates | coordinate (self)
Marble.GeoGraphicsItem.GeoGraphicsItemFlags | flags (self)
Marble.GeoDataLatLonAltBox | latLonAltBox (self)
int | minZoomLevel (self)
| paint (self, Marble.GeoPainter painter, Marble.ViewportParams viewport)
| setCoordinate (self, Marble.GeoDataCoordinates point)
| setFlag (self, Marble.GeoGraphicsItem.GeoGraphicsItemFlag flag, bool enabled=1)
| setFlags (self, Marble.GeoGraphicsItem.GeoGraphicsItemFlags flags)
| setLatLonAltBox (self, Marble.GeoDataLatLonAltBox latLonAltBox)
| setMinZoomLevel (self, int zoomLevel)
| setStyle (self, Marble.GeoDataStyle style)
| setVisible (self, bool visible)
| setZValue (self, float z)
Marble.GeoDataStyle | style (self)
bool | visible (self)
float | zValue (self)

## Method Documentation

__init__ | ( |  | self ) |

Marble.GeoDataCoordinates coordinate | ( |  | self ) |

Return the coordinate of the item as a GeoDataCoordinates

Marble.GeoGraphicsItem.GeoGraphicsItemFlags flags | ( |  | self ) |

Get the GeoGraphicItemFlags value that describes which flags are set on this item.

See also:
  QFlags

Marble.GeoDataLatLonAltBox latLonAltBox | ( |  | self ) |

Returns the box that is used to determine if an item is active or inactive.

int minZoomLevel | ( |  | self ) |

Returns the minim zoom level on which item will be active.

paint | ( | self, |
|  | Marble.GeoPainter | painter,
|  | Marble.ViewportParams | viewport
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Paints the item using the given GeoPainter.

Note that depending on the projection and zoom level, the item may be visible more than once. GeoPainter will therefore automatically "repeat" primitives which have a geo position (GeoDataCoordinates).

setCoordinate | ( | self, |
|  | Marble.GeoDataCoordinates | point
| ) |  |  |

Set the coordinate of the item with an GeoDataPoint.

setFlag | ( | self, |
|  | Marble.GeoGraphicsItem.GeoGraphicsItemFlag | flag,
|  | bool | enabled=1
| ) |  |  |

Set or unset a single flag

Parameters:

  | enabled | sets if the flag is to be set or unset

setFlags | ( | self, |
|  | Marble.GeoGraphicsItem.GeoGraphicsItemFlags | flags
| ) |  |  |

Replace all of the current flags.

Parameters:

  | flags | is the new value for this item's flags.

setLatLonAltBox | ( | self, |
|  | Marble.GeoDataLatLonAltBox | latLonAltBox
| ) |  |  |

Set the box used to determine if an item is active or inactive. If an empty box is passed the item will be shown in every case.

setMinZoomLevel | ( | self, |
|  | int | zoomLevel
| ) |  |  |

Sets the minimum zoom level

setStyle | ( | self, |
|  | Marble.GeoDataStyle | style
| ) |  |  |

Set the box used to determine if an item is active or inactive. If an empty box is passed the item will be shown in every case.

setVisible | ( | self, |
|  | bool | visible
| ) |  |  |

setZValue | ( | self, |
|  | float | z
| ) |  |  |

Set the z value of the item

Marble.GeoDataStyle style | ( |  | self ) |

Returns the style of item.

bool visible | ( |  | self ) |

float zValue | ( |  | self ) |

Returns the z value of the item

## Enumeration Documentation

GeoGraphicsItemFlag

Enumerator:

  NoOptions = 0x0 |
  ItemIsMovable = 0x1 |
  ItemIsSelectable = 0x2 |
  ItemIsVisible = 0x4 |